package de.hft.stuttgart.quality.adapter.types;

import javax.xml.namespace.QName;

import org.xmlobjects.annotation.XMLElement;
import org.xmlobjects.builder.ObjectBuildException;
import org.xmlobjects.serializer.ObjectSerializeException;
import org.xmlobjects.xml.Element;
import org.xmlobjects.xml.Namespaces;

import de.hft.stuttgart.quality.QualityADEModule;
import de.hft.stuttgart.quality.model.types.RingNotClosedError;

@XMLElement(name = "GE_R_NOT_CLOSED", namespaceURI = QualityADEModule.NAMESPACE_URI)
public class RingNotClosedErrorAdapter extends AbstractRingErrorAdapter<RingNotClosedError> {

	@Override
	public RingNotClosedError createObject(QName name, Object parent) throws ObjectBuildException {
		return new RingNotClosedError();
	}

	@Override
	public Element createElement(RingNotClosedError object, Namespaces namespaces) throws ObjectSerializeException {
		return Element.of(QualityADEModule.NAMESPACE_URI, "GE_R_NOT_CLOSED");
	}
}
